#include <stdlib.h>
#include <stdint.h>
#include "wayland-util.h"

extern const struct wl_interface _wl_pointer_gesture_pinch_interface;
extern const struct wl_interface _wl_pointer_gesture_swipe_interface;
extern const struct wl_interface wl_pointer_interface;
extern const struct wl_interface wl_surface_interface;

static const struct wl_interface *types[] = {
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	&_wl_pointer_gesture_swipe_interface,
	&wl_pointer_interface,
	&_wl_pointer_gesture_pinch_interface,
	&wl_pointer_interface,
	NULL,
	NULL,
	&wl_surface_interface,
	NULL,
	NULL,
	NULL,
	&wl_surface_interface,
	NULL,
};

static const struct wl_message _wl_pointer_gestures_requests[] = {
	{ "get_swipe_gesture", "no", types + 5 },
	{ "get_pinch_gesture", "no", types + 7 },
};

WL_EXPORT const struct wl_interface _wl_pointer_gestures_interface = {
	"_wl_pointer_gestures", 1,
	2, _wl_pointer_gestures_requests,
	0, NULL,
};

static const struct wl_message _wl_pointer_gesture_swipe_requests[] = {
	{ "destroy", "", types + 0 },
};

static const struct wl_message _wl_pointer_gesture_swipe_events[] = {
	{ "begin", "uuou", types + 9 },
	{ "update", "uff", types + 0 },
	{ "end", "uui", types + 0 },
};

WL_EXPORT const struct wl_interface _wl_pointer_gesture_swipe_interface = {
	"_wl_pointer_gesture_swipe", 1,
	1, _wl_pointer_gesture_swipe_requests,
	3, _wl_pointer_gesture_swipe_events,
};

static const struct wl_message _wl_pointer_gesture_pinch_requests[] = {
	{ "destroy", "", types + 0 },
};

static const struct wl_message _wl_pointer_gesture_pinch_events[] = {
	{ "begin", "uuou", types + 13 },
	{ "update", "uffff", types + 0 },
	{ "end", "uui", types + 0 },
};

WL_EXPORT const struct wl_interface _wl_pointer_gesture_pinch_interface = {
	"_wl_pointer_gesture_pinch", 1,
	1, _wl_pointer_gesture_pinch_requests,
	3, _wl_pointer_gesture_pinch_events,
};

